## mboxcheck 0.1.1

=== src/Makefile ===
DDATE=`date`
PREFIX=/usr

all: build

build: build-man

build-man: mboxcheck.1.gz

mboxcheck.1.gz:
	pod2man --section=1 \
		--release="Mboxcheck " \
		--date="$(DDATE)" \
		mboxcheck > mboxcheck.1
	gzip -9 mboxcheck.1

clean:
	if [ -e mboxcheck.1 ] ; then rm mboxcheck.1 ; fi
	if [ -e mboxcheck.1.gz ] ; then rm mboxcheck.1.gz ; fi

install: build install-bin install-man

install-bin:
	install -d $(DEST)$(PREFIX)/bin
	install mboxcheck $(DEST)$(PREFIX)/bin

install-man:
	install -d $(DEST)$(PREFIX)/share/man/man1
	install --mode=644 mboxcheck.1.gz $(DEST)$(PREFIX)/share/man/man1

## mboxcheck 0.0.7-3

=== debian/changelog ===
mboxcheck (0.0.7-3) unstable; urgency=low

  * Fixed manpage using suggestions from Enrico Zini
    <enrico@debian.org>, closes: #184442.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Jul 2003 14:10:41 +0200

mboxcheck (0.0.7-2) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Fixed spelling issue automaticly -> automatically in desctiption.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Jan 2003 17:57:33 +0100

mboxcheck (0.0.7-1) unstable; urgency=low

  * Added mboxtest and symlink ignore option.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Nov 2002 09:18:00 +0100

mboxcheck (0.0.6-1) unstable; urgency=low

  * Updated manpage, closes: #164362.

 -- Ola Lundqvist <opal@debian.org>  Mon, 14 Oct 2002 07:16:23 +0200

mboxcheck (0.0.5-1) unstable; urgency=low

  * Fixed perl 5.8 issue, moved documetation to to of script, closes:
    #159557.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Sep 2002 15:58:14 +0200

mboxcheck (0.0.4-1) unstable; urgency=low

  * Initial release.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Sep 2001 22:58:35 +0200

=== debian/control ===
Source: mboxcheck
Section: misc
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel
Standards-Version: 3.5.8

Package: mboxcheck
Architecture: all
Depends: ${perl:Depends}
Description: MBOX scan utility
 MBOXcheck is a command line utility for scanning MBOX files for new,
 seen, read and deleted mail.
 .
 It has a cache function to speed up the process, to be able to scan large
 amount of mails. This is useful for people that automatically sort email
 into a large amount of files.

## mboxcheck 0.1.1

=== debian/changelog ===
mboxcheck (0.1.1) unstable; urgency=high

  * Fixed error in debian copyright file.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 11:52:15 +0200

mboxcheck (0.1.0) unstable; urgency=high

  * Improved license references. Added it to readme and added copyright
    statement in source file. This is according to some, release critical.
  * Changed email addresses for Ola to opal@debian.org so it is consistent.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Sun, 29 Aug 2004 18:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel
-Standards-Version: 3.5.8
+Standards-Version: 3.6.1
 
 Package: mboxcheck
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DEST=$(CURDIR)/debian/mboxcheck PREFIX=/usr

	dpsch-cvsclean
	dpsch-backupclean

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
#	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mboxcheck 0.2.0

=== Makefile ===
PREFIX=/usr/local

all:
	(cd src; make)

clean:
	(cd src; make clean)

install:
	(cd src; make install DEST=$(DEST) PREFIX=$(PREFIX))

=== debian/changelog ===
mboxcheck (0.2.0) unstable; urgency=low

  * Added two new options -h and -V. Closes: #660967.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Apr 2012 19:06:03 +0200

mboxcheck (0.1.2) unstable; urgency=low

  * Changed build-depends-indep to build depends.
  * Changed to standards version 3.7.2.
  * Updated to debhelper 4 compatibility.
  * Removed need for dpsyco-devel as CVS is no longer used and backup
    files can be removed manually.
  * Make sure that swedish characters is not used in manpage.
  * Updated to correct FSF address.

 -- Ola Lundqvist <opal@debian.org>  Sun,  9 Jul 2006 23:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: mboxcheck
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -43,9 +43,6 @@
 
 	$(MAKE) install DEST=$(CURDIR)/debian/mboxcheck PREFIX=/usr
 
-	dpsch-cvsclean
-	dpsch-backupclean
-
 binary-arch:
 
 # Build architecture-independent files here.
